package com.xkrs.common.tool;

/**
 * CompareVersion 比较版本号
 * @author tajochen
 */
public class CompareVersion {

    /**
     * 比较三位版本号 ，若 版本1>版本2 返回 1，若版本1<版本2 返回 -1，否则返回0
     * @param version1 版本1
     * @param version2 版本2
     * @return
     */
    public static int compareVersion(String version1, String version2) {
        String[] v1 = version1.split("\\.");
        String[] v2 = version2.split("\\.");
        int n = Math.max(v1.length, v2.length);
        for (int i = 0; i < n; i++) {
            int v1Int = i < v1.length ? Integer.parseInt(v1[i]) : 0;
            int v2Int = i < v2.length ? Integer.parseInt(v2[i]) : 0;
            if (v1Int == v2Int) {
                continue;
            }
            if (v1Int > v2Int){
                return 1;
            } else {
                return -1;
            }
        }
        return 0;
    }
}
